//
//  PostDetailViewController.swift
//  CodeChix-Reddit
//
//  Created by Emily Van Haren on 3/9/15.
//  Copyright (c) 2015 Emily Van Haren. All rights reserved.
//

import UIKit

class PostDetailViewController: UIViewController, UIWebViewDelegate
{
    var activityIndicator: UIActivityIndicatorView!
    var webView: UIWebView!
    
    init(post: RedditPost)
    {
        super.init()
        
        activityIndicator = UIActivityIndicatorView(activityIndicatorStyle: UIActivityIndicatorViewStyle.Gray)
        
        webView = UIWebView()
        webView.delegate = self
        webView.scalesPageToFit = true
        
        let request = NSURLRequest(URL: post.postedURL!)
        webView.loadRequest(request)
    }
    
    required init(coder aDecoder: NSCoder)
    {
        super.init(coder: aDecoder)
    }
    
    override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: NSBundle?)
    {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
    }
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        view.addSubview(webView)
        webView.frame = view.frame
        
        let indicatorWidth = 40.0 as CGFloat
        let indicatorHeight = 40.0 as CGFloat
        let indicatorX = (view.bounds.size.width - indicatorWidth) / 2.0
        let indicatorY = (view.bounds.size.height - indicatorHeight) / 2.0
        let indicatorFrame = CGRectMake(indicatorX, indicatorY, indicatorWidth, indicatorHeight)
        
        activityIndicator.frame = indicatorFrame
        view.addSubview(activityIndicator)
    }
    
    func webViewDidStartLoad(_webView: UIWebView)
    {
        activityIndicator.startAnimating()
    }
    
    func webViewDidFinishLoad(_webView: UIWebView)
    {
        activityIndicator.stopAnimating()
    }
}
