//
//  RedditPost.swift
//  CodeChix-Reddit
//
//  Created by Emily Van Haren on 3/8/15.
//  Copyright (c) 2015 Emily Van Haren. All rights reserved.
//

import UIKit

class RedditPost: NSObject
{
    var title: NSString
    var subreddit: NSString
    var score: NSInteger
    var postedURL: NSURL?
    
    var thumbnailURL: NSURL?
    var thumbnailImage: UIImage?
    
    var isStarred: Bool = false
    
    init(json: NSDictionary)
    {
        title = json.objectForKey("title") as NSString
        subreddit = json.objectForKey("subreddit") as NSString
        score = json.objectForKey("score") as NSInteger
        
        let postedURLString = json.objectForKey("url") as NSString
        postedURL = NSURL(string: postedURLString)!
        
        if let thumbnailString = json.objectForKey("thumbnail") as NSString?
        {
            thumbnailURL = NSURL(string: thumbnailString)
            
            if let thumbnailData = NSData(contentsOfURL: thumbnailURL!)
            {
                thumbnailImage = UIImage(data: thumbnailData)
            }
        }
        
        super.init()
    }
    
    func hasThumbnail() -> Bool
    {
        return thumbnailImage != nil
    }
}
